"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var html_1 = require("@connectv/html");
var transport_1 = require("@connectv/sdh/transport");
function CollapseControl(_, renderer) {
    var marker = html_1.ref();
    this.track({
        bind: function () {
            var parent = marker.$.parentElement;
            if (parent) {
                parent.addEventListener('collapse-open', function () { return parent.classList.add('open'); });
                parent.addEventListener('collapse-close', function () { return parent.classList.remove('open'); });
                parent.addEventListener('collapse-toggle', function () { return parent.classList.toggle('open'); });
            }
        }
    });
    return renderer.create("span", { hidden: true, _ref: marker });
}
exports.CollapseControl = CollapseControl;
exports.CollapseControl$ = transport_1.transport(CollapseControl);
//# sourceMappingURL=collapse-control.js.map