const style = `
  position: fixed;
  z-index: 1000;
  left: 0; right: 0; top: 0; bottom: 0;
  cursor: pointer;
  background: rgba(0, 0, 0, .65);
  display: flex;
  justify-content: center;
  align-items: center;
  font-size: 48px;
  color: white;
  opacity: 0;
  transition: opacity .1s;
  backdrop-filter: blur(16px);
  -webkit-backdrop-filter: blur(16px);
`;
export function Overlay(_, renderer, content) {
    const container$ = renderer.create("div", { style: style, onclick: () => hide() },
        renderer.create("div", { style: 'text-align: center; max-width: calc(75vw - 32px);max-height: calc(75vw - 32px); overflow: auto; padding: 16px' }, content));
    const show = () => container$.style.opacity = '1';
    const hide = () => {
        container$.style.opacity = '0';
        setTimeout(() => container$.remove(), 100);
    };
    this.track({
        bind: () => setTimeout(show, 10)
    });
    return container$;
}
//# sourceMappingURL=index.js.map